SignedInfo (Java Platform SE 8 )
Keywords: javax.xml.crypto.dsig.SignedInfo interface
Date: 2026-04-24

compact3
javax.xml.crypto.dsig

## Interface SignedInfo

- All Superinterfaces:
    XMLStructure

      public interface SignedInfo
      extends XMLStructure

  An representation of the XML `SignedInfo` element as defined in the W3C Recommendation for XML-Signature Syntax and Processing. The XML Schema Definition is defined as:

       <element name="SignedInfo" type="ds:SignedInfoType"/>
       <complexType name="SignedInfoType">
         <sequence>
           <element ref="ds:CanonicalizationMethod"/>
           <element ref="ds:SignatureMethod"/>
           <element ref="ds:Reference" maxOccurs="unbounded"/>
         </sequence>
         <attribute name="Id" type="ID" use="optional"/>
       </complexType>

  A `SignedInfo` instance may be created by invoking one of the `newSignedInfo` methods of the `XMLSignatureFactory` class.
  Since:
    1.6
  See Also:
    `XMLSignatureFactory.newSignedInfo(CanonicalizationMethod, SignatureMethod, List)`, `XMLSignatureFactory.newSignedInfo(CanonicalizationMethod, SignatureMethod, List, String)`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CanonicalizationMethod` | `getCanonicalizationMethod()` Returns the canonicalization method of this `SignedInfo`.
    `InputStream` | `getCanonicalizedData()` Returns the canonicalized signed info bytes after a signing or validation operation.
    `String` | `getId()` Returns the optional `Id` attribute of this `SignedInfo`.
    `List` | `getReferences()` Returns an `unmodifiable list` of one or more `Reference`s.
    `SignatureMethod` | `getSignatureMethod()` Returns the signature method of this `SignedInfo`.

    - ### Methods inherited from interface javax.xml.crypto.XMLStructure

      `isFeatureSupported`

- - ### Method Detail

    - #### getCanonicalizationMethod

          CanonicalizationMethod getCanonicalizationMethod()

      Returns the canonicalization method of this `SignedInfo`.
      Returns:
        the canonicalization method

    - #### getSignatureMethod

          SignatureMethod getSignatureMethod()

      Returns the signature method of this `SignedInfo`.
      Returns:
        the signature method

    - #### getReferences

          List getReferences()

      Returns an `unmodifiable list` of one or more `Reference`s.
      Returns:
        an unmodifiable list of one or more `Reference`s

    - #### getId

          String getId()

      Returns the optional `Id` attribute of this `SignedInfo`.
      Returns:
        the id (may be `null` if not specified)

    - #### getCanonicalizedData

          InputStream getCanonicalizedData()

      Returns the canonicalized signed info bytes after a signing or validation operation. This method is useful for debugging.
      Returns:
        an `InputStream` containing the canonicalized bytes, or `null` if this `SignedInfo` has not been signed or validated yet

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.
Copyright © 1993, 2026, Oracle and/or its affiliates. All rights reserved. Use is subject to license terms. Also see the documentation redistribution policy.